@import "../../styles/variables/colors.scss";

.forgot-password-page__container {
    width: 100%;

    &.forgot-password-page__container.light-theme {
        background-color: $white-milk;
    }

    .forgot-password-page__content {
        width: 500px;
        margin: 50px auto;
        background-color: $bg_brand;
        border-radius: 8px;
        box-shadow: 0px 0px 6px 0 $secondary_btn_bg;
        padding: 20px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        align-items: center;

        &.forgot-password-page__content.light-theme {
            background-color: $white;
        }

        .forgot-password-page__title {
            width: 100%;
            text-align: center;
            font-size: 26px;
            color: $white;
            padding-bottom: 20px;
            border-bottom: 1px solid $secondary_btn_bg;
            box-sizing: border-box;

            .forgot-password-page__title--logo {
                color: $blue_facebook-hover;
            }
        }

        .forgot-password-page__title.light-theme {
            color: $black;
        }

        @media (max-width: 1024px) {
            width: 80%;
            margin: 30px auto;
            padding: 15px;

            .forgot-password-page__title {
                font-size: 22px;
                padding-bottom: 15px;
            }
        }

        @media (max-width: 620px) {
            width: 90%;
            margin: 20px auto;
            padding: 10px;

            .forgot-password-page__title {
                font-size: 18px;
                padding-bottom: 10px;
            }
        }
    }
}

.forgot-password-page__return-login {
    display: block;
    width: 100%;
    text-align: center;
    margin-top: 20px;
    padding-top: 10px;
    box-sizing: border-box;
    border-top: 1px solid $secondary_btn_bg;
    font-size: 16px;
    color: $link_blue;
    text-decoration: none;

    &:hover {
        text-decoration: underline;
        color: $btn_dark;
    }

    &.light-theme {
        color: $gray_border-hover-medium;
    
        &:hover {
            text-decoration: underline;
            color: $blue;
        }
    }

    @media (max-width: 1024px) {
        font-size: 14px;
    }

    @media (max-width: 620px) {
        font-size: 12px;
    }
}


